Last Comment Bug 739912 - Remove obsolete workaround pref editor.quotesPreformatted in TB
: Remove obsolete workaround pref editor.quotesPreformatted in TB
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Thunderbird 14.0
Assigned To: :aceman
:
:
Mentors:
Depends on: 368758
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 01:56 PDT by :aceman
Modified: 2012-04-04 02:32 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch for Thunderbird (2.96 KB, patch)
2012-03-28 01:56 PDT, :aceman
acelists: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description :aceman 2012-03-28 01:56:04 PDT
Created attachment 610038 [details] [diff] [review]
patch for Thunderbird

+++ This bug was initially created as a clone of Bug #368758 +++

The pref  editor.quotesPreformatted  was introduced as a "temporary" hack for bug 69638.  It's used in two places:

* nsHTMLEditor::InsertAsPlaintextQuotation()
  if somehow set True, puts reply-quotes inside a <pre> rather than 
  a <span> in the plain-text editor.  No visible effect in the compose window,
  but requires an extra rule in HTML.CSS to colorize the pre[_moz_quote].

* nsPlainTextSerializer::Write()
  if True, may cause a bypass of the "no intelligent wrapping" section of the
  DOM-to-Text conversion of the plain-text editor's buffer into a message,
  thereby preventing quotes from being wrapped -- the same behavior seen when
  the pref is turned off and the quote is contained within a <span>.

The pref is set to False by default; I seriously doubt anyone still uses this for anything.  I gather it was desirable when there was some other, harder-to-deal-with problem in the editor's behavior within a <pre>, but that's obsolete now.  This pref and the code supporting it is all cruft, and should be removed.

xref bug 233705 -- the pref discussed at that bug also "bypasses the 'no intelligent wrapping'" DOM-to-text conversion.
Comment 1 Ryan VanderMeulen [:RyanVM] 2012-04-03 16:24:10 PDT
This already appears to have landed on comm-central, but I don't see the responsible changeset offhand.
Comment 2 Ryan VanderMeulen [:RyanVM] 2012-04-03 16:32:02 PDT
(That or another patch in my massive queue made the same change)
Comment 3 :aceman 2012-04-03 23:29:20 PDT
Yes, it landed on central in bug 610038.
This patch is for aurora, see the patch flags.
Comment 4 Mark Banner (:standard8) 2012-04-04 02:32:17 PDT
http://hg.mozilla.org/releases/comm-aurora/rev/cb2ba44f41aa
Comment 5 Mark Banner (:standard8) 2012-04-04 02:32:31 PDT
Thanks for the separate bug.

Note You need to log in before you can comment on or make changes to this bug.